%global realname erlsom
%global upstream willemdj
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Summary:	Support for XML Schema in Erlang
Version:	1.4.1
Release:	5%{?dist}
Group:		System Environment/Libraries
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
# Backported from upstream - https://github.com/willemdj/erlsom/pull/53
Patch1:		erlang-erlsom-0001-Refresh-erlsom.hrl-in-examples.patch
# Backported from upstream - https://github.com/willemdj/erlsom/pull/54
Patch2:		erlang-erlsom-0002-Convert-text-files-from-cp1252-to-UTF-8.patch
License:	GPLv3+
Provides:	%{realname} = %{version}-%{release}
BuildRequires:	erlang-rebar


%description
Erlsom is a set of functions to deal with XML Schema (XSDs) in Erlang.
First you 'compile' the schema, and after that you can parse XML
documents that conform to the schema. The result is a structure of
Erlang records, based on the types that are defined by the Schema.
Or, the other way around, a structure of records can be translated
to an XML document.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1
%patch2 -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license COPYING COPYING.LESSER
%doc examples/ doc/erlsom.doc doc/erlsom.htm doc/image001.gif
%{erlang_appdir}/


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri May 27 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.4.1-2
- Fix encoding
- Fix examples

* Fri Apr 22 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.4.1-1
- Ver. 1.4.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-17.20120904gitdef76b9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-16.20120904gitdef76b9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-15.20120904gitdef76b9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-14.20120904gitdef76b9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-13.20120904gitdef76b9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 03 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-12.20120904gitdef76b9
- Post-release git-snapshot for 1.2.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-7
- Narrowed BuildRequires

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-6
- Rebuild with Erlang/OTP R14A
- Simplified spec-file

* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-5
- Narrow explicit requires

* Mon Jul  6 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-4
- Stop using macros for 'rm' and 'make'
- Corrected license field

* Thu Jun  4 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-3
- Added missing BR dos2unix

* Tue Apr 21 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Get rid of unnecessary source files

* Thu May  8 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Fri Oct 26 2007 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Initial build for Fedora

